summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorNalin Dahyabhai <nalin@redhat.com>2012-01-10 12:39:57 -0500
committerNalin Dahyabhai <nalin@redhat.com>2012-01-10 12:39:57 -0500
commitf1454876c60e44586a0a335cbb4178a11eedf82a (patch)
treecf7e2b01a0d0d14f01c4ce2b0e4763eb57e38576 /tests
parent34b594aa8f8036633bded1295ac4a8ceca5f768f (diff)
downloadslapi-nis-f1454876c60e44586a0a335cbb4178a11eedf82a.tar.gz
slapi-nis-f1454876c60e44586a0a335cbb4178a11eedf82a.tar.xz
slapi-nis-f1454876c60e44586a0a335cbb4178a11eedf82a.zip
- add constructs conditionally using refint and memberof
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run-tests.sh12
-rw-r--r--tests/slapd.sh.in4
2 files changed, 14 insertions, 2 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index 2478c19..0961496 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -11,6 +11,18 @@ for subdir in "$@" ; do
pushd $subdir > /dev/null
TEST="$subdir"
precmd=
+ if ! $TESTS_USE_REFINT ; then
+ if test -s $TESTDIR/$TEST/plugin-need-refint.txt ; then
+ echo Skipping "$TEST", needs the refint plugin.
+ continue
+ fi
+ fi
+ if ! $TESTS_USE_MEMBEROF ; then
+ if test -s $TESTDIR/$TEST/plugin-need-memberof.txt ; then
+ echo Skipping "$TEST", needs the memberof plugin.
+ continue
+ fi
+ fi
if test -x edit-dse-config.sh ; then
precmd="$TESTDIR/$subdir/edit-dse-config.sh $BTESTDIR/config/dse.ldif"
fi
diff --git a/tests/slapd.sh.in b/tests/slapd.sh.in
index 2ebb0e7..547f391 100644
--- a/tests/slapd.sh.in
+++ b/tests/slapd.sh.in
@@ -63,10 +63,10 @@ startslapd() {
done
test -s $BTESTDIR/config/schema/00core.ldif || ln -s -t $BTESTDIR/config $TESTDIR/config/schema
cat $BTESTDIR/config/dse.ldif.initial > $BTESTDIR/config/dse.ldif
- if $TESTS_USE_REFINT ; then
+ if ! test -s $TESTDIR/$TEST/plugin-skip-refint.txt ; then
cat $BTESTDIR/config/dse.ldif.refint >> $BTESTDIR/config/dse.ldif
fi
- if $TESTS_USE_MEMBEROF ; then
+ if ! test -s $TESTDIR/$TEST/plugin-skip-memberof.txt ; then
cat $BTESTDIR/config/dse.ldif.memberof >> $BTESTDIR/config/dse.ldif
fi
if test -n "$1" && test -s "$1" ; then